package javafxapplication1;

/**
 * @author janus
 */
import java.lang.*;
import javafx.scene.Node;
import javafx.fxd.FXDNode;

// Define a custom class that extends FXDNode
public class pizzaUI extends FXDNode {

	override public var url = "{__DIR__}Pizza.fxz";

   // Declare a variable for each FXD element with an ID value
	public-read protected var boden: Node;
	public-read protected var pilze: Node;
	public-read protected var salami: Node;
	public-read protected var chillis: Node;

   // Function to load the graphic objects
	override protected function contentLoaded() : Void {
		boden=getNode("Boden");
		pilze=getNode("Pilze");
		salami=getNode("Salami");
		chillis=getNode("Chillis");
	}

	/**
	 * Check if some element with given id exists and write
	 * a warning if the element could not be found.
	 * The whole method can be removed if such warning is not required.
	 */
	protected override function getObject( id:String) : Object {
		var obj = super.getObject(id);
		if ( obj == null) {
			System.err.println("WARNING: Element with id {id} not found in {url}");
		}
		return obj;
	}
}

