/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pizzabestellung;

import javafx.geometry.Pos;
import javafx.scene.Group;
import javafx.scene.control.Label;
import javafx.scene.control.Separator;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;


/**
 *
 * @author janus
 */
class AbschlussBildschirm extends Group {

    private Bestellung bestellung = new Bestellung();
    
    public AbschlussBildschirm(Stage primaryStage, Bestellung bestellung) {
        Stage mainStage = primaryStage;
        this.bestellung = bestellung;
        VBox content = new VBox();
        content.setSpacing(5);
        content.setAlignment(Pos.CENTER);
        Label title = new Label("Überblick über Ihre Bestellung");
        title.getStyleClass().add("title");
        Separator trenn = new Separator();
        Label pizzaSize = new Label();
        if(bestellung.getSize()!= null){
            pizzaSize = new Label("Pizza-Größe:" + bestellung.getSize());
        }
        else{
            pizzaSize = new Label("Pizza-Größe: Small 24 cm");
        }
        
        Label anzahl = new Label("Sie möchten " + bestellung.getAnzahl()+" Pizza(s).");
        
        Label pizzaBoden = new Label();
        String bodenText;
        if(bestellung.getSize()!= null){
            bodenText = "Pizza-Boden:" + bestellung.getBoden();
        }
        else{
            bodenText = "Pizza-Boden: Italian";
        }
        if(bestellung.isCheesycrust()){
            bodenText = bodenText.concat(" mit Cheesycrust.");
        }
        pizzaBoden = new Label(bodenText);
        
        Label zutaten = new Label("Sie wählten folgende Zutaten:");
        
        Label ingredients = new Label();
        
        String zutatenText = "";
        
        if(bestellung.isSalami()){
            zutatenText = zutatenText.concat("Salami");
        }
        if(bestellung.isPilze()){
            zutatenText = zutatenText.concat(" Pilze");
        }
        if(bestellung.isChillis()){
            zutatenText = zutatenText.concat(" Chillis");
        }
        
        ingredients = new Label(zutatenText);
        
        Separator trenn1 = new Separator();
        Label thanks = new Label("Vielen Dank für Ihre Bestellung");
        thanks.getStyleClass().add("thanks");
        content.getChildren().addAll(title, trenn, pizzaSize, anzahl, pizzaBoden, zutaten, ingredients, trenn1, thanks);
        this.getChildren().add(content);
    }
    
}

