/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pizzabestellung;

import javafx.animation.AnimationTimer;
import javafx.animation.KeyFrame;
import javafx.animation.KeyValue;
import javafx.animation.Timeline;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.control.ProgressBar;
import javafx.scene.layout.VBox;
import javafx.scene.paint.Color;
import javafx.stage.Stage;
import javafx.util.Duration;

/**
 *
 * @author janus
 */
class LadeBildschirm extends Group {
    private ProgressBar ladeBalken = new ProgressBar();
    private Timeline zeitLeiste = new Timeline();
    private double i = 0;
    VBox controls = new VBox();
    Stage mainStage = new Stage();
    Bestellung bestellung = new Bestellung();
   
    
    public LadeBildschirm(Stage primaryStage, final Bestellung bestellung){
        mainStage = primaryStage;
        this.bestellung = bestellung;
        Label warteText = new Label("Bitte warten, bis die Bestellung abgeschlossen ist.");
        
        EventHandler onFinished = new EventHandler<ActionEvent>() {
            public void handle(ActionEvent t) {
                Scene scene = new Scene(new AbschlussBildschirm(mainStage, bestellung), 500, 250);
                scene.getStylesheets().add("bookingStyle.css");
                mainStage.setScene(scene);
            }
        };
        
        KeyValue keyValueProgressBar = new KeyValue(ladeBalken.progressProperty(), 1);
        
        Duration duration = Duration.valueOf(5000);
        
        KeyFrame keyFrameProgressBar = new KeyFrame(duration, onFinished, keyValueProgressBar);
        zeitLeiste.getKeyFrames().add(keyFrameProgressBar);
        controls.setAlignment(Pos.CENTER);
        controls.getChildren().addAll(warteText, ladeBalken);
        
        this.getChildren().add(controls);
        
        zeitLeiste.play();
    }
}
    
//    def progressBar = ProgressBar {};
//form2 = VBox {
//    spacing: 10
//    nodeHPos: HPos.CENTER
//    vpos: VPos.CENTER
//    visible: bind t.running
//    content: [
//        Label {text: "Bitte warten, bis die Bestellung abgeschlossen ist." },
//        progressBar
//    ]
//};
//
//var t = Timeline {
//    keyFrames: [
//        at (0s) {progressBar.progress => 0.0},
//        at (5s) {progressBar.progress => 1.0}
//    ]
//}

